Package ru.bitel.bgbilling.modules.voice.server.bean

# Class VoiceSessionExporter

java.lang.Object
ru.bitel.bgbilling.modules.voice.server.bean.VoiceSessionExporter

    public class VoiceSessionExporter
    extends java.lang.Object

- ## Constructor Summary

  Constructors
  Constructor | Description
  --- | ---
  `VoiceSessionExporter()` |

- ## Method Summary

  Modifier and Type | Method | Description
  --- | --- | ---
  `java.io.InputStream` | `csvDetailExport​(Result<SessionDetail<SessionDetail<SessionDetailReportItem>>> result, char separator)` |
  `java.io.InputStream` | `csvExport​(Result<VoiceSession> sessionLogContractList, char separator, java.util.Map<java.lang.Integer,​VoiceDestination> destinationsMap)` |
  `java.io.InputStream` | `htmlDetailExport​(Contract contract, Period period, Result<?> result, javax.servlet.ServletContext context)` |
  `java.io.InputStream` | `htmlSessionExport​(Contract contract, Period period, Result<?> result, javax.servlet.ServletContext context, java.util.Map<java.lang.Integer,​VoiceDestination> destinationMap)` |

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- ## Constructor Details

  - ### VoiceSessionExporter

    public VoiceSessionExporter()

- ## Method Details

  - ### htmlDetailExport

    public java.io.InputStream htmlDetailExport​(Contract contract, Period period, Result<?> result, javax.servlet.ServletContext context) throws ru.bitel.bgbilling.common.BGException
    Throws:
      `ru.bitel.bgbilling.common.BGException`

  - ### htmlSessionExport

    public java.io.InputStream htmlSessionExport​(Contract contract, Period period, Result<?> result, javax.servlet.ServletContext context, java.util.Map<java.lang.Integer,​VoiceDestination> destinationMap) throws ru.bitel.bgbilling.common.BGException
    Throws:
      `ru.bitel.bgbilling.common.BGException`

  - ### csvExport

    public java.io.InputStream csvExport​(Result<VoiceSession> sessionLogContractList, char separator, java.util.Map<java.lang.Integer,​VoiceDestination> destinationsMap) throws ru.bitel.bgbilling.common.BGException
    Throws:
      `ru.bitel.bgbilling.common.BGException`

  - ### csvDetailExport

    public java.io.InputStream csvDetailExport​(Result<SessionDetail<SessionDetail<SessionDetailReportItem>>> result, char separator) throws ru.bitel.bgbilling.common.BGException
    Throws:
      `ru.bitel.bgbilling.common.BGException`